---
include:
  - project: "to-be-continuous/gitleaks"
    ref: 2.5.2
    file: "templates/gitlab-ci-gitleaks.yml"
  - project: 'renovate-bot/renovate-runner'
    ref: v20.1.0
    file: '/templates/renovate-config-validator.gitlab-ci.yml'
  - project: 'sylva-projects/sylva-elements/ci-tooling/ci-templates'
    ref: 1.0.38
    file:
      - 'templates/release-notes.yml'

renovate-config-validator:
  parallel:
    matrix:
      - RENOVATE_CONFIG_FILE: default.json
      - RENOVATE_CONFIG_FILE: docker.json
      - RENOVATE_CONFIG_FILE: go.json
      - RENOVATE_CONFIG_FILE: renovate.json
